> For the complete documentation index, see [llms.txt](https://docs.papayaglobal.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.papayaglobal.com/api-reference/groups-management/create-a-payment-group.md).

# Create A Payment Group

The API is utilized to create a payment group within the account. A group is generated with a given wallet. Once created, you can oversee the group’s payment requests based on various criteria such as time, location, business unit, etc.

<mark style="color:green;">`POST`</mark> /payments/groups

**Body Parameters Request**

| Name        | Type   | Description                                | Required |
| ----------- | ------ | ------------------------------------------ | -------- |
| description | string | A short description of the group           |          |
| wallet      | string | The Wallet ID linked to this group.        | Yes      |
| name        | string | A label to to identify the group.          | Yes      |
| user\_tags  | object | A set of k/v pairs to assign to the group. |          |

**Body parameters Response**

| Name        | Type    | Description                                             |
| ----------- | ------- | ------------------------------------------------------- |
| description | string  | Extended description of group                           |
| id          | string  | Unique id of group                                      |
| locked      | boolean | When locked, no new actions can be made                 |
| name        | string  | Visual name of group                                    |
| type        | string  | entity type (group)                                     |
| user\_tags  | object  | A set of k/v pairs of user tags to assign to this group |
| wallet      | string  | id of wallet this group is associated with              |

**Request Example**

```
POST /payments/groups
{
    "description": "Demo Group",
    "wallet": "f6b2776d-53f4-404e-a690-c3766a91d43a",
    "name": "February USD cycle",
    "user_tags":{
      "cycle":"2024-02"
    }
  }
```

**Response**

{% tabs %}
{% tab title="200 - OK" %}

```json
{
  "type": "group",
  "id": "b48c3f38-9278-41a3-b101-444f20fce982",
  "description": "Demo Group",
  "wallet": "f6b2776d-53f4-404e-a690-c3766a91d43a",
  "name": "February USD cycle",
  "user_tags": {
    "cycle":"2024-02"
  }
}
```

{% endtab %}

{% tab title="400 - Bad Request" %}

```json
{
  "error": "bad_request",
  "description": "Validation errors: {\"description\":\"EmanIntEUR\",\"org_id\":\"202000\",\"name\":\"Feb... at root failed with \"Missing property wallet\"",
  "error_code": 400
}
```

{% endtab %}
{% endtabs %}
